<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102 || $dostup==103){

echo'<img src="../images/img/partners.gif" alt=""> <b>Бан/Разбан</b><br><br>';

//---------------------- Форма ввода логина ------------------------------//
if(!isset($action)){

echo 'Введите логин юзера:<br>';

if($config_themes!="wml"){
echo '<form method="post" action="zaban.php?action=edit&amp;'.SID.'">';
echo '<input name="users" maxlength="20" /><br><br>';
echo '<input value="Получить данные" type="submit" /></form><hr>';

}else{      

echo '<input name="users"/><br>'; 
echo '<anchor>Получить данные';
echo '<go href="zaban.php?action=edit&amp;'.SID.'" method="post">';
echo '<postfield name="users" value="$(users)"/>';
echo '</go></anchor><br>--------------------<br>';     
}

}


//---------------------- Редактирование профиля ------------------------------//
if($action=="edit"){
if(!empty($_POST['users']) || !empty($_GET['users']) ){

if(isset($_POST['users'])){$users=check(trim($_POST['users']));} else { $users=check(trim($_GET['users'])); }

if(file_exists(BASEDIR."local/profil/$users.prof")){
$text = file_get_contents(BASEDIR."local/profil/$users.prof"); 
if ($text!=""){	
$udc = explode(":||:",$text);

echo '<img src="../images/img/profiles.gif" alt=""> <b>Профиль юзера '.$users.'</b><br><br>';
echo 'Общее число строгих нарушений: <b>'.(int)$udc[64].'</b><br>';
if(ctype_digit($udc[52])){echo 'Последний бан: '.date_fixed($udc[52]).'<br>';}

echo '<br>';

if($udc[7]>=101 && $udc[7]<=105 && $users!=$log){

echo '<b><font color="#FF0000">У вас недостаточно прав для бана этого аккаунта</font></b><br>';
echo 'Запрещается банить админов и модеров!<br>';

}else{

if($users==$log){echo '<b><font color="#FF0000">Внимание! Вы редактируете собственный аккаунт!</font></b><br><br>';}

$ost_time=round($udc[38]-$sitetime);

if($udc[37]<1 || $udc[38]<$sitetime){
if($udc[64]<5){


if($config_themes!="wml"){
echo '<form method="post" action="zaban.php?action=zaban&amp;users='.$users.'&amp;'.SID.'">';
echo 'Время бана:<br><input name="udd38" /><br>';


echo '<input name="bform" type="radio" value="min" checked> Минут<br>';	
echo '<input name="bform" type="radio" value="chas" /> Часов<br>';
echo '<input name="bform" type="radio" value="sut" /> Суток<br>';


echo 'Причина бана:<br><textarea name="udd39" cols="25" rows="3"></textarea><br>';
echo '<input value="Забанить" type="submit" /></form><hr>';

}else{      

echo 'Время бана:<br><input name="udd38"/><br>'; 

echo '<select name="bform"><option value="min">Минут</option>';
echo '<option value="chas">Часов</option>';
echo '<option value="sut">Суток</option></select><br>';

echo 'Причина бана:<br><input name="udd39"/><br>'; 

echo '<anchor>Забанить';
echo '<go href="zaban.php?action=zaban&amp;users='.$users.'&amp;'.SID.'" method="post">';
echo '<postfield name="udd38" value="$(udd38)"/>';
echo '<postfield name="bform" value="$(bform)"/>';
echo '<postfield name="udd39" value="$(udd39)"/>';
echo '</go></anchor><br>--------------------<br>';     
}


echo 'Число нарушений считается при бане более чем на 3 часа (180 мин)<br>';
echo 'При общем числе нарушений более 5, профиль юзера удаляется<br>';
echo 'Максимальное время бана '.round($config_maxbantime/1440).' суток<br>';
echo 'Внимание! Постарайтесь как можно подробнее описать причину бана<br>';

}else{

echo 'Внимание! Пользователь превысил лимит банов<br>';	
echo 'Вы можете удалить этот профиль!<br><br>';
echo '<img src="../images/img/error.gif" alt=""> <b><a href="zaban.php?action=deluser&amp;users='.$users.'&amp;'.SID.'">Удалить профиль</a></b>';
}

}else{
	
echo '<b><font color="#FF0000">Внимание, данный аккаунт заблокирован!</font></b><br>';

echo 'До окончания бана осталось '.formattime($ost_time).'<br>';
echo 'Причина бана: '.check($udc[39]).'<br>';
echo 'Забанил: <a href="../pages/anketa.php?uz='.check($udc[63]).'&amp;'.SID.'">'.check($udc[63]).'</a><br><br>';
echo '<img src="../images/img/reload.gif" alt=""> <a href="zaban.php?action=razban&amp;users='.$users.'&amp;'.SID.'">Разбанить</a><hr>';
}
}

}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, в профиле пользователя имеются ошибки структуры!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, пользователя с таким логином не существует!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, вы не ввели логин пользователя!<br>';}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?'.SID.'">Вернуться</a>';
}

//---------------------- Изменение профиля - Бан ------------------------------//
if($action=="zaban"){

if(!empty($_GET['users'])){
$users=check(trim($_GET['users']));

if(file_exists(BASEDIR."local/profil/$users.prof")){

if($bform=="min"){$ban_time=$udd38;}
if($bform=="chas"){$ban_time=round($udd38*60);}		
if($bform=="sut"){$ban_time=round($udd38*60*24);}	
		
if ($ban_time!=""){
if ($ban_time<=$config_maxbantime){	
if ($udd39!=""){	

//------------------------ Запись в профиль -----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$users.prof"); 
$udata = explode(":||:",$ufile);

$udata[37]=1;
$udata[38]=round($sitetime+($ban_time*60));
$udata[39]=no_br(check($udd39),' ');
$udata[52]=$sitetime;
$udata[63]=check($log);
if($ban_time>180){$udata[64]++;}
$udata[73]=1;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$users.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Данные юзера '.$users.' успешно изменены!<br>';
echo '<b><font color="FF0000">Аккаунт заблокирован!</font></b><br><br>'; 

echo'<a href="zaban.php?'.SID.'">Редактировать нового юзера</a><br>';

}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, вы не указали причину бана!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, максимальное время бана '.round($config_maxbantime/1440).' суток!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, вы не указали время бана!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, пользователя с таким логином не существует!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, вы не ввели логин пользователя!<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?action=edit&amp;users='.$users.'&amp;'.SID.'">Вернуться</a>';
}


//---------------------- Изменение профиля - Разбан ------------------------------//
if($action=="razban"){

if(!empty($_GET['users'])){
$users=check(trim($_GET['users']));

if(file_exists(BASEDIR."local/profil/$users.prof")){

//------------------------ Запись в профиль -----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$users.prof"); 
$udata = explode(":||:",$ufile);


$udata[37]=0;
$udata[38]=0;
$udata[39]="";
$udata[63]="";
if($udata[64]>0){$udata[64]--;}


for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$users.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Данные юзера '.$users.' успешно изменены!<br>';
echo '<b><font color="00FF00">Аккаунт разблокирован!</font></b><br><br>'; 

echo'<a href="zaban.php?'.SID.'">Редактировать нового юзера</a><br>';

}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, пользователя с таким логином не существует!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, вы не ввели логин пользователя!<br>';}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?action=edit&amp;users='.$users.'&amp;'.SID.'">Вернуться</a>';
}


//---------------------- Удаление профиля ------------------------------//
if($action=="deluser"){

if(!empty($_GET['users'])){
$users=check(trim($_GET['users']));

if(file_exists(BASEDIR."local/profil/$users.prof")){

$text = file_get_contents(BASEDIR."local/profil/$users.prof"); 
$udc = explode(":||:",$text);

if($udc[64]>=5){
if($udc[7]<101 || $udc[7]>105){

//------------------------- Черный список e-mail -------------------------------//
$filem = file(BASEDIR."local/blackmail.dat","a+");
foreach($filem as $valuem){
$datam=explode("|",$valuem);
$arraymail[]=$datam[1];
}

if(!in_array($udc[4],$arraymail)){
$textmail='|'.$udc[4].'|'.$sitetime.'|';

if($textmail!="" && $udc[4]!=""){
$fpm = fopen(BASEDIR."local/blackmail.dat","a+");
flock ($fpm,LOCK_EX);
fputs($fpm,"$textmail\r\n");
fflush ($fpm);
flock ($fpm,LOCK_UN);
fclose($fpm);
}}

//--------------------------- Черный список логинов -----------------------------//
$filel = file(BASEDIR."local/blacklogin.dat","a+");
foreach($filel as $valuel){
$datal=explode("|",$valuel);
$arraylogin[]=$datal[1];
}

if(!in_array($udc[0],$arraylogin)){
$textlogin='|'.$udc[0].'|'.$sitetime.'|';

if($textlogin!="" && $udc[0]!=""){
$fpl = fopen(BASEDIR."local/blacklogin.dat","a+");
flock ($fpl,LOCK_EX);
fputs($fpl,"$textlogin\r\n");
fflush ($fpl);
flock ($fpl,LOCK_UN);
fclose($fpl);
}}

delete_users($users);

echo 'Профиль пользователя успешно удален!<br>';
echo 'Данные занесены в черный список!<br>';

}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, у вас недостаточно прав для удаления этого профиля<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка удаления профиля!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, пользователя с таким логином не существует!<br>';}
}else{ echo '<img src="../images/img/error.gif" alt=""> Ошибка, вы не ввели логин пользователя!<br>';}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="zaban.php?'.SID.'">Вернуться</a>';
}



echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>

